Permalink
Browse files

Bump minimum Node version to 8.3 (#20236)

Summary:
Node rest/spread syntax started working without the harmony flag in 8.3 (#20178 (comment)).

Release Notes:
[GENERAL] [BREAKING] [Node] - Bump minimum req. Node version to 8.3
Pull Request resolved: #20236

Differential Revision: D8876357

Pulled By: hramos

fbshipit-source-id: 1f5f791ef318e70c6be8b23d887a1d650a68e594
  • Loading branch information...
hramos authored and facebook-github-bot committed Jul 18, 2018
1 parent 2d1fabb commit e64e13fce394332ce609f0def35fa573f30138e9
Showing with 6 additions and 9 deletions.
  1. +5 −8 local-cli/server/checkNodeVersion.js
  2. +1 −1 package.json
@@ -14,7 +14,7 @@ var formatBanner = require('metro-core/src/formatBanner');
var semver = require('semver');
module.exports = function() {
if (!semver.satisfies(process.version, '>=8')) {
if (!semver.satisfies(process.version, '>=8.3')) {
var engine = semver.satisfies(process.version, '<1') ? 'Node' : 'io.js';
var message =
@@ -24,15 +24,12 @@ module.exports = function() {
process.version +
'.\n' +
'\n' +
'React Native runs on Node 8.0 or newer. There are several ways to ' +
'React Native runs on Node 8.3 or newer. There are several ways to ' +
'upgrade Node.js depending on your preference.\n' +
'\n' +
'nvm: nvm install node && nvm alias default node\n' +
'Homebrew: brew unlink iojs; brew install node\n' +
'Installer: download the Mac .pkg from https://nodejs.org/\n' +
'\n' +
'About Node.js: https://nodejs.org\n' +
'Follow along at: https://github.com/facebook/react-native/issues/19226';
'nvm: nvm install 8.3 --reinstall-packages-from=node\n' +
'Homebrew: brew update && brew upgrade node\n' +
'Installer: download from https://nodejs.org/\n';
console.log(
formatBanner(message, {
chalkFunction: chalk.green,
View
@@ -8,7 +8,7 @@
"url": "git@github.com:facebook/react-native.git"
},
"engines": {
"node": ">=8"
"node": ">=8.3"
},
"prettier": {
"requirePragma": true,

0 comments on commit e64e13f

Please sign in to comment.